Orxonox: orxonox::XMLPortClassParamContainer< T > Class Template Reference

# orxonox::XMLPortClassParamContainer< T > Class Template Reference

`#include <src/core/XMLPort.h>`

Inheritance diagram for orxonox::XMLPortClassParamContainer< T >:

List of all members.

## Public Member Functions

virtual XMLPortParamContainer & | defaultValue (unsigned int index, const MultiType &param)
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4, const MultiType &param5)
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3, const MultiType &param4)
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2, const MultiType &param3)
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1, const MultiType &param2)
virtual XMLPortParamContainer & | defaultValues (const MultiType &param1)
virtual XMLPortParamContainer & | description (const std::string description)
virtual const std::string & | getDescription ()
XMLPortParamContainer & | port (BaseObject *owner, const ParseParams &parseParams)
XMLPortParamContainer & | port (BaseObject *owner, T *object, Element &xmlelement, XMLPort::Mode mode)
XMLPortParamContainer & | portIfWaitingForDefaultValues (const ParseResult &result, const ParseParams &params)
| XMLPortClassParamContainer (const std::string paramname, Identifier *identifier, ExecutorMember< T > *loadexecutor, ExecutorMember< T > *saveexecutor)
| ~XMLPortClassParamContainer ()

## Private Attributes

ExecutorMember< T > * | loadexecutor_
ParseParams | parseParams_
ExecutorMember< T > * | saveexecutor_

## Classes

struct | ParseParams

### template<class T>
class orxonox::XMLPortClassParamContainer< T >

## Constructor & Destructor Documentation

template<class T>

orxonox::XMLPortClassParamContainer< T >::XMLPortClassParamContainer | ( | const std::string | paramname,
|  | Identifier * | identifier,
|  | ExecutorMember< T > * | loadexecutor,
|  | ExecutorMember< T > * | saveexecutor |
| ) |  |  | `[inline]`

References orxonox::XMLPortParamContainer::identifier_, orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortParamContainer::paramname_, and orxonox::XMLPortClassParamContainer< T >::saveexecutor_.

template<class T>

orxonox::XMLPortClassParamContainer< T >::~XMLPortClassParamContainer | ( |  | ) | `[inline]`

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, and orxonox::XMLPortClassParamContainer< T >::saveexecutor_.

## Member Function Documentation

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::defaultValue | ( | unsigned int | index,
|  | const MultiType & | param |
| ) |  |  | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4,
|  | const MultiType & | param5 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3,
|  | const MultiType & | param4 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2,
|  | const MultiType & | param3 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::defaultValues | ( | const MultiType & | param1,
|  | const MultiType & | param2 |
| ) |  |  | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::defaultValues | ( | const MultiType & | param1 | ) | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

virtual XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::description | ( | const std::string | description | ) | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_.

template<class T>

virtual const std::string& orxonox::XMLPortClassParamContainer< T >::getDescription | ( |  | ) | `[inline, virtual]`

Implements orxonox::XMLPortParamContainer.

References orxonox::XMLPortClassParamContainer< T >::loadexecutor_.

template<class T>

XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::port | ( | BaseObject * | owner,
|  | const ParseParams & | parseParams |
| ) |  |  | `[inline]`

References orxonox::XMLPortClassParamContainer< T >::ParseParams::mode, orxonox::XMLPortClassParamContainer< T >::ParseParams::object, orxonox::XMLPortClassParamContainer< T >::port(), and orxonox::XMLPortClassParamContainer< T >::ParseParams::xmlelement.

template<class T>

XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::port | ( | BaseObject * | owner,
|  | T * | object,
|  | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[inline]`

References COUT, orxonox::XMLPort::ExpandObject, orxonox::BaseObject::getFilename(), orxonox::BaseObject::getLoaderIndentation(), orxonox::getLowercase(), orxonox::BaseObject::getName(), orxonox::Identifier::getName(), orxonox::XMLPortParamContainer::identifier_, orxonox::BaseObject::lastLoadedXMLElement_, orxonox::XMLPortClassParamContainer< T >::loadexecutor_, orxonox::XMLPort::LoadObject, orxonox::XMLPortClassParamContainer< T >::ParseParams::mode, orxonox::XMLPortClassParamContainer< T >::ParseParams::object, OrxAssert, orxonox::XMLPortParamContainer::owner_, orxonox::XMLPortParamContainer::paramname_, orxonox::XMLPortClassParamContainer< T >::parseParams_, orxonox::XMLPortParamContainer::parseResult_, orxonox::XMLPortParamContainer::PR_finished, orxonox::XMLPortParamContainer::PR_waiting_for_default_values, orxonox::XMLPortClassParamContainer< T >::saveexecutor_, orxonox::BaseObject::xmlAttributes_, and orxonox::XMLPortClassParamContainer< T >::ParseParams::xmlelement.

Referenced by orxonox::XMLPortClassParamContainer< T >::port(), and orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues().

template<class T>

XMLPortParamContainer& orxonox::XMLPortClassParamContainer< T >::portIfWaitingForDefaultValues | ( | const ParseResult & | result,
|  | const ParseParams & | params |
| ) |  |  | `[inline]`

References orxonox::XMLPortParamContainer::owner_, orxonox::XMLPortClassParamContainer< T >::port(), and orxonox::XMLPortParamContainer::PR_waiting_for_default_values.

Referenced by orxonox::XMLPortClassParamContainer< T >::defaultValue(), and orxonox::XMLPortClassParamContainer< T >::defaultValues().

## Member Data Documentation

template<class T>

ExecutorMember<T>* orxonox::XMLPortClassParamContainer< T >::loadexecutor_`[private]`

Referenced by orxonox::XMLPortClassParamContainer< T >::defaultValue(), orxonox::XMLPortClassParamContainer< T >::defaultValues(), orxonox::XMLPortClassParamContainer< T >::description(), orxonox::XMLPortClassParamContainer< T >::getDescription(), orxonox::XMLPortClassParamContainer< T >::port(), orxonox::XMLPortClassParamContainer< T >::XMLPortClassParamContainer(), and orxonox::XMLPortClassParamContainer< T >::~XMLPortClassParamContainer().

template<class T>

ParseParams orxonox::XMLPortClassParamContainer< T >::parseParams_`[private]`

Referenced by orxonox::XMLPortClassParamContainer< T >::defaultValue(), orxonox::XMLPortClassParamContainer< T >::defaultValues(), and orxonox::XMLPortClassParamContainer< T >::port().

template<class T>

ExecutorMember<T>* orxonox::XMLPortClassParamContainer< T >::saveexecutor_`[private]`

Referenced by orxonox::XMLPortClassParamContainer< T >::port(), orxonox::XMLPortClassParamContainer< T >::XMLPortClassParamContainer(), and orxonox::XMLPortClassParamContainer< T >::~XMLPortClassParamContainer().

The documentation for this class was generated from the following file:

- src/core/XMLPort.h